[Pkg-alsa-devel] [Debian ALSA CVS] debian/alsa-utils/debian/patches (1 file)

Thomas Hood jdthood-guest@haydn.debian.org
Mon, 06 Sep 2004 04:53:57 -0600


    Date: Monday, September 6, 2004 @ 04:53:57
  Author: jdthood-guest
    Path: /cvsroot/pkg-alsa/debian/alsa-utils/debian/patches

   Added: 30_debian_alsaconf_noclear.dpatch

Add alsaconf patch to replace clear with newline


-----------------------------------+
 30_debian_alsaconf_noclear.dpatch |   33 +++++++++++++++++++++++++++++++++
 1 files changed, 33 insertions(+)


Index: debian/alsa-utils/debian/patches/30_debian_alsaconf_noclear.dpatch
diff -u /dev/null debian/alsa-utils/debian/patches/30_debian_alsaconf_noclear.dpatch:1.1
--- /dev/null	Mon Sep  6 04:53:57 2004
+++ debian/alsa-utils/debian/patches/30_debian_alsaconf_noclear.dpatch	Mon Sep  6 04:53:57 2004
@@ -0,0 +1,39 @@
+#! /bin/sh -e
+## 30_debian_alsaconf_noclear.dpatch by  <jdthood@yahoo.co.uk>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
+diff -urNad /home/jdthood/src/pkg-alsa/debian/alsa-utils/alsaconf/alsaconf.in alsa-utils/alsaconf/alsaconf.in
+--- /home/jdthood/src/pkg-alsa/debian/alsa-utils/alsaconf/alsaconf.in	2004-09-06 12:45:25.000000000 +0200
++++ alsa-utils/alsaconf/alsaconf.in	2004-09-06 12:45:59.000000000 +0200
+@@ -67,6 +60,11 @@
+     exit 1
+ }
+ 
++clear() {
++	# Run the real clear command here if you prefer to hide error messages
++	echo
++}
++
+ OPTS=`getopt -o lmLhp:Pu:g:d:rs: --long legacy,modinfo,log,help,probe,listprobe,uid,gid,devmode,strict,sound -n alsaconf -- "$@"` || exit 1
+ eval set -- "$OPTS"